"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// parseMarkdownFiles.test.js
const vitest_1 = require("vitest");
const serializeMarkdownFiles_1 = require("./serializeMarkdownFiles");
// Tests for parseMarkdownFiles function with different formats
(0, vitest_1.test)("serializeMarkdownFiles outputs bold format", () => {
    const files = [
        { name: "index.html", text: "<!-- HTML content -->" },
        { name: "script.js", text: "// JavaScript content" },
        { name: "styles.css", text: "/* CSS content */" },
    ];
    const markdownString = (0, serializeMarkdownFiles_1.serializeMarkdownFiles)(files);
    (0, vitest_1.expect)(markdownString).toBe(`**index.html**

\`\`\`html
<!-- HTML content -->
\`\`\`

**script.js**

\`\`\`javascript
// JavaScript content
\`\`\`

**styles.css**

\`\`\`css
/* CSS content */
\`\`\``);
});
